Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.reader
Class ReaderProviderHelper

    java.lang.Object
      org.hibernate.search.reader.ReaderProviderHelper

    public abstract class ReaderProviderHelper

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`ReaderProviderHelper()`

Method Summary
`static org.apache.lucene.index.IndexReader` | `buildMultiReader(int length, org.apache.lucene.index.IndexReader[] readers)`
`static void` | `clean(SearchException e, org.apache.lucene.index.IndexReader... readers)`
`static java.util.Set<org.apache.lucene.index.IndexReader>` | `getIndexReaders(org.apache.lucene.index.IndexReader reader)` Find the underlying IndexReaders for the given reader
`static java.util.Set<org.apache.lucene.index.IndexReader>` | `getIndexReaders(org.apache.lucene.search.Searchable searchable)` Find the underlying IndexReaders for the given searchable
`static org.apache.lucene.index.IndexReader[]` | `getSubReadersFromMultiReader(org.apache.lucene.index.MultiReader parentReader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderProviderHelper

    public ReaderProviderHelper()

Method Detail

### getSubReadersFromMultiReader

    public static org.apache.lucene.index.IndexReader[] getSubReadersFromMultiReader(org.apache.lucene.index.MultiReader parentReader)

### buildMultiReader

    public static org.apache.lucene.index.IndexReader buildMultiReader(int length,
                                                                       org.apache.lucene.index.IndexReader[] readers)

### clean

    public static void clean(SearchException e,
                             org.apache.lucene.index.IndexReader... readers)

### getIndexReaders

    public static java.util.Set<org.apache.lucene.index.IndexReader> getIndexReaders(org.apache.lucene.search.Searchable searchable)

  Find the underlying IndexReaders for the given searchable

  Parameters:
    `searchable` - The searchable to find the IndexReaders for
  Returns:
    A list of all base IndexReaders used within this searchable

### getIndexReaders

    public static java.util.Set<org.apache.lucene.index.IndexReader> getIndexReaders(org.apache.lucene.index.IndexReader reader)

  Find the underlying IndexReaders for the given reader

  Parameters:
    `reader` - The reader to find the IndexReaders for
  Returns:
    A list of all base IndexReaders used within this searchable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.